注文ステータスの変更
注文に利用可能なステータスを設定します。新しいステータスのIDと、現在の注文ステータスのバージョンを送信してください。
PATCH
/api/v1/orders/{order_id}/statuscURLリクエスト
curl --disable --globoff --fail-with-body --silent --show-error \
--proto '=https' --connect-timeout 5 --max-time 30 \
--request PATCH \
--url https://shop.onshopently.com/api/v1/orders/order-0000/status \
--header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
--header 'Idempotency-Key: example-update_order_status_api_v1_orders__order_id__status_patch' \
--header 'Content-Type: application/json' \
--data-raw '{"expected_version":1,"status_id":"status-1"}'
レスポンス
{
"data": {
"deleted": false,
"id": "order-0000",
"version": 2
},
"meta": {
"request_id": "example"
}
}